org.jgroups.blocks

## Class LazyRemovalSet.Entry<V>

- java.lang.Object
- - org.jgroups.blocks.LazyRemovalSet.Entry<V>

- Enclosing class:
    LazyRemovalSet<V>

      protected static class LazyRemovalSet.Entry<V>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `removable`
    `protected long` | `timestamp`
    `protected V` | `val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyRemovalSet.Entry(V val)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### val

          protected final V val

    - #### timestamp

          protected final long timestamp

    - #### removable

          protected boolean removable

  - ### Constructor Detail

    - #### LazyRemovalSet.Entry

          public LazyRemovalSet.Entry(V val)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.